<IfModule mod_ssl.c>
    <VirtualHost *:443>
        SuexecUserGroup "#33" "#33"

        ServerAdmin hostmaster@example.com
        ServerName gitlab.example.com

        CustomLog ${APACHE_LOG_DIR}/gitlab.example.com_access_log combined
        ErrorLog ${APACHE_LOG_DIR}/gitlab.example.com_error_log

        AllowEncodedSlashes On
        ProxyPass / http://127.0.0.1:10080/ retry=0
        ProxyPassReverse / http://127.0.0.1:10080/
        ProxyPreserveHost On
        ProxyRequests Off

        Include /etc/letsencrypt/options-ssl-apache.conf
        SSLCertificateFile /etc/letsencrypt/live/gitlab.example.com/fullchain.pem
        SSLCertificateKeyFile /etc/letsencrypt/live/gitlab.example.com/privkey.pem
        SSLEngine on
        SSLProxyEngine on
    </VirtualHost>
</IfModule>
